import { PillCloud } from "@components/PillCloud";
import { Story, StoryDefault } from "@ladle/react";

const TAGS = [
  {
    target: "/pill1",
    title: "Some Pill",
  },
  {
    target: "/pill2",
    title: "Another Topic",
  },
  {
    target: "/pill3",
    title: "Tag 99",
  },
  {
    target: "/pill4",
    title: "Hot Topic",
  },
];

export const PillCloudStory: Story = () => (
  <div>
    <PillCloud tags={TAGS} />
  </div>
);

export default {
  title: "Molecules",
} satisfies StoryDefault;

PillCloudStory.storyName = "Pill Cloud";
PillCloudStory.meta = {
  descriptionTitle: "Pill Cloud",
  description:
    "This is a horizontal, scrollable group component consisting of individual Pill components.",
};
